SOAPCPP2(1)

NAME
soapcpp2 - the gSOAP Stub and Skeleton Compiler for C and C++

SYNOPSIS
soapcpp2 [OPTIONS] INPUT

DESCRIPTION
Create stubs and client and server code from input INPUT or standard input if INPUT is not specified.

OPTIONS

-0  No SOAP, generate REST source code.

-1  Generate SOAP 1.1 source code.

-2  Generate SOAP 1.2 source code.

-A  Require HTTP SOAPAction headers to invoke server-side operations.

-a  Use HTTP SOAPAction with WS-Addressing to invoke server-side operations.

-b  Serialize byte arrays char[N] as string.

-C  Generate client-side source code only.

-c  Generate C source code.

-c++
    Generate C++ source code (default).

-c++11
    Generate C++ source code optimized for C++11 (compile with -std=c++11).

-c++14
    Generate C++ source code optimized for C++14 (compile with -std=c++14).

-c++17
    Generate C++ source code optimized for C++17 (compile with -std=c++17).

-dpath
    Use path to save files.

-Ec Generate extra functions for deep copying.

-Ed Generate extra functions for deep deletion.

-Et Generate extra functions for data traversals with callback functions.

-e  Generate SOAP RPC encoding style bindings (also use -1 or -2).

-fN Multiple soapC files, with N serializer definitions per file (N>=10).

-g  Generate XML sample messages in template format for testmsgr.

-h  Display help info and exit.

-Ipath
    Use path(s) for #import (paths separated with ':').

-i  Generate C++ service proxies and objects inherited from soap struct.

-j  Generate C++ service proxies and objects that share a soap struct.

-L  Do not generate soapClientLib/soapServerLib.

-l  Generate linkable modules (experimental).

-m  Generate source code for the Matlab(tm) MEX compiler (deprecated).

-n  Use service name to rename service functions and namespace table.

-pname
    Save files with new prefix name instead of soap.

-Qname
    Use name as the C++ namespace, including custom serializers.

-qname
    Use name as the C++ namespace, excluding custom serializers.

-r  Generate soapReadme.md report.

-S  Generate server-side source code only.

-s  Generate stub and skeleton functions with strict XML validation checks.

-T  Generate server auto-test source code.

-t  Generate source code for fully xsi:type typed SOAP/XML messages.

-u  Uncomment WSDL/schema output by suppressing XML comments.

-V  Display the current version and exit.

-v  Verbose output.

-w  Do not generate WSDL and schema files.

-x  Do not generate sample XML message files.

-y  Include C/C++ type access information in sample XML messages.

-z1 Compatibility: Generate old-style C++ service proxies and objects.

-z2 Compatibility with 2.7.x: Omit XML output for NULL pointers.

-z3 Compatibility up to 2.8.30: _param_N indexing and nillable pointers.

-z4 Compatibility up to 2.8.105: char* member defaults, even when omitted.

SEE ALSO
wsdl2h(1).

AUTHOR
This manual page was written by Thomas Wana <greuff@debian.org>, for the Debian project (but may be used by others).